Description: Switch off update warning when auto updates set to false (closes #1001623)
Author: Katharina Drexel <katharina.drexel@bfh.ch>
Reviewed-by:
Last-Update: 2021-12-13
--- a/wp-admin/includes/update.php
+++ b/wp-admin/includes/update.php
@@ -817,6 +817,11 @@
  * @return void|false
  */
 function maintenance_nag() {
+	if (!defined('WP_AUTO_UPDATE_CORE'))
+		define('WP_AUTO_UPDATE_CORE', true);
+	if ( false === WP_AUTO_UPDATE_CORE )
+		return array();
+
 	// Include an unmodified $wp_version.
 	require ABSPATH . WPINC . '/version.php';
 	global $upgrading;
